Index: 2048-Qt-0.1.5/ts/2048-qt_de_DE.ts
===================================================================
--- /dev/null
+++ 2048-Qt-0.1.5/ts/2048-qt_de_DE.ts
@@ -0,0 +1,140 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.1" language="de_DE">
+<context>
+    <name>main</name>
+    <message>
+        <location filename="../qml/main.qml" line="13"/>
+        <source>2048 Game</source>
+        <translation>Spiel 2048</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="24"/>
+        <source>File</source>
+        <translation>Datei</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="26"/>
+        <location filename="../qml/main.qml" line="276"/>
+        <source>New Game</source>
+        <translation>Neues Spiel</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="31"/>
+        <source>Exit</source>
+        <translation>Ende</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="38"/>
+        <source>Settings</source>
+        <translation>Einstellungen</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="40"/>
+        <source>Labeling</source>
+        <translation>Benennung</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="42"/>
+        <source>2048</source>
+        <translation>2048</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="54"/>
+        <source>Degree</source>
+        <translation>Grad</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="66"/>
+        <source>Military Rank</source>
+        <translation>Militärischer Dienstgrad</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="78"/>
+        <source>PRC</source>
+        <translation>PRC</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="91"/>
+        <source>Language</source>
+        <translation>Sprache</translation>
+    </message>
+    <message>
+        <source>English</source>
+        <translation type="vanished">Englisch</translation>
+    </message>
+    <message>
+        <source>Simplified Chinese</source>
+        <translation type="vanished">Vereinfachtes Chinesisch</translation>
+    </message>
+    <message>
+        <source>Russian</source>
+        <translation type="vanished">Russisch</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="133"/>
+        <source>Help</source>
+        <translation>Hilfe</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="135"/>
+        <source>About</source>
+        <translation>Über</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="139"/>
+        <source>About Qt</source>
+        <translation>Über Qt</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="197"/>
+        <source>SCORE</source>
+        <translation>PUNKTE</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="197"/>
+        <source>BEST</source>
+        <translation>BESTE</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="257"/>
+        <source>Join the numbers and get to the &lt;b&gt;2048 tile&lt;/b&gt;!</source>
+        <translation>Verbinden Sie die Zahlen bis zur &lt;b&gt;2048er Kachel&lt;/b&gt;!</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="314"/>
+        <source>Language Setting Hint</source>
+        <translation>Spracheinstellungstipps</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="315"/>
+        <source>Please restart the program to make the language setting take effect.</source>
+        <translation>Bitte starten Sie das Programm neu, damit die Spracheinstellung aktiviert wird.</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="321"/>
+        <source>About 2048-Qt</source>
+        <translation>Über 2048-Qt</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="328"/>
+        <source>Game Over</source>
+        <translation>Spiel vorbei</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="329"/>
+        <source>Game Over!</source>
+        <translation>Spiel vorbei!</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="339"/>
+        <source>You Win</source>
+        <translation>Sie haben gewonnen</translation>
+    </message>
+    <message>
+        <location filename="../qml/main.qml" line="340"/>
+        <source>You win! Continue playing?</source>
+        <translation>Sie haben gewonnen! Weiter spielen?</translation>
+    </message>
+</context>
+</TS>
Index: 2048-Qt-0.1.5/qml/main.qml
===================================================================
--- 2048-Qt-0.1.5.orig/qml/main.qml
+++ 2048-Qt-0.1.5/qml/main.qml
@@ -125,6 +125,18 @@ ApplicationWindow {
                         }
                     }
                 }
+                MenuItem {
+                    text: "Deutsch"
+                    checkable: true
+                    exclusiveGroup: languageSettingsGroup
+                    checked: settings.value("language") === "de_DE" ? true : false
+                    onTriggered: {
+                        if (settings.value("language") !== "de_DE") {
+                            settings.setValue("language", "de_DE");
+                            changeLanguageDialog.open();
+                        }
+                    }
+                }
             }
         }
 
Index: 2048-Qt-0.1.5/2048-qt.pro
===================================================================
--- 2048-Qt-0.1.5.orig/2048-qt.pro
+++ 2048-Qt-0.1.5/2048-qt.pro
@@ -29,7 +29,7 @@ HEADERS += \
     myclass.h \
     settings.h
 
-TRANSLATIONS = ts/2048-qt_zh_CN.ts ts/2048-qt_ru_RU.ts
+TRANSLATIONS = ts/2048-qt_zh_CN.ts ts/2048-qt_ru_RU.ts ts/2048-qt_de_DE.ts
 
 VERSION = 0.1.5
 
Index: 2048-Qt-0.1.5/resources.qrc
===================================================================
--- 2048-Qt-0.1.5.orig/resources.qrc
+++ 2048-Qt-0.1.5/resources.qrc
@@ -2,6 +2,7 @@
     <qresource prefix="/">
         <file>ts/2048-qt_zh_CN.qm</file>
         <file>ts/2048-qt_ru_RU.qm</file>
+        <file>ts/2048-qt_de_DE.qm</file>
         <file>qml/main.qml</file>
         <file>qml/2048.js</file>
         <file>qml/Tile.qml</file>
